Subject: Re: bug#52912: 29.0.50; Left over files from native compilation

From: Andrea Corallo <[email-masked]>
Date: Wed, 19 Jan 2022 21:09:44 +0000

Lars Ingebrigtsen <[email-masked]> writes:

> Andrea Corallo <[email-masked]> writes:
>
>> Yes I think we could postpone not only the renaming of the temporary
>> .elc but also when this is written down.
>>
>> I'll try to code up something this week.
>
> Great!

Okay as of 9396b7d0b4 when native compiling we produce the temp .elc
only just before renaming it, so exactly as we do for simple byte
compilation.

This should really minimize this issue to a most likely non observable
frequency.

I bootstrapped emacs native and byte compiled and seems to work here.

  Andrea